libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Comets

## Functions
double | ln_get_ell_comet_mag (double JD, struct ln_ell_orbit *orbit, double g, double k)
| Calculate the visual magnitude of a comet in an elliptic orbit. More...
double | ln_get_par_comet_mag (double JD, struct ln_par_orbit *orbit, double g, double k)
| Calculate the visual magnitude of a comet in a parabolic orbit. More...

## Detailed Description

Functions relating to Comets.

All angles are expressed in degrees.

## Function Documentation

double ln_get_ell_comet_mag | ( | double | JD,
|  | struct ln_ell_orbit * | orbit,
|  | double | g,
|  | double | k
| ) |  |

Calculate the visual magnitude of a comet in an elliptic orbit.

Parameters

  JD | Julian day.
  orbit | Orbital parameters
  g | Absolute magnitude
  k | Comet constant

Returns
  The visual magnitude.

Calculate the visual magnitude of a comet in an elliptical orbit.

References ln_ell_orbit::a, ln_ell_orbit::e, ln_ell_orbit::JD, ln_get_ell_body_solar_dist(), ln_get_ell_mean_anomaly(), ln_get_ell_mean_motion(), ln_get_ell_radius_vector(), ln_solve_kepler(), and ln_ell_orbit::n.

double ln_get_par_comet_mag | ( | double | JD,
|  | struct ln_par_orbit * | orbit,
|  | double | g,
|  | double | k
| ) |  |

Calculate the visual magnitude of a comet in a parabolic orbit.

Parameters

  JD | Julian day.
  orbit | Orbital parameters
  g | Absolute magnitude
  k | Comet constant

Returns
  The visual magnitude.

Calculate the visual magnitude of a comet in a parabolic orbit.

References ln_par_orbit::JD, ln_get_par_body_solar_dist(), ln_get_par_radius_vector(), and ln_par_orbit::q.